X (Twitter)
Connect to X (Twitter) to read and post tweets and read user data.
认证方式
| 方式 | 底层类型 | 状态 | 说明 |
|---|---|---|---|
| OAuth 2.0 | oauth2 | available | — |
调用示例
import { createClient } from "@open-connector/sdk";const oc = createClient({ baseUrl: "https://api.openconnector.dev", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await oc.executeTool({ slug: "TWITTER_ACTIVITY_STREAM", connectedAccountId: "conn_...", arguments: { /* match this tool's input schema */ },});import Composio from "@composio/client";const composio = new Composio({ baseURL: "https://api.openconnector.dev/composio", apiKey: process.env.OPEN_CONNECTOR_API_KEY!,});const result = await composio.tools.execute("TWITTER_ACTIVITY_STREAM", { connected_account_id: "conn_...", arguments: { /* match this tool's input schema */ },});oc tools execute TWITTER_ACTIVITY_STREAM --data '{ }'Tool 目录
可用 Tools
165 个可调用操作
Activity StreamTWITTER_ACTIVITY_STREAMStream of X Activities需要连接
Stream of X Activities
认证
需要 Connected AccountTags
Add members to a Chat group conversationTWITTER_ADD_CHAT_GROUP_MEMBERSAdds one or more members to an existing encrypted Chat group conversation, rotating the conversation key.需要连接3 scopes
Adds one or more members to an existing encrypted Chat group conversation, rotating the conversation key.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Add Conversation KeysTWITTER_ADD_CONVERSATION_KEYSAdds (initializes or rotates) the encryption keys for a Chat conversation. Call this before sending messages in a new 1:1 conversation, and again with a newer key version to rotate the conversation key. For 1:1 conversations, provide the recipient's user ID as the conversation_id. The server constructs the canonical conversation ID from the authenticated user and recipient. The request body must contain the conversation key version and participant keys (the conversation key encrypted for each participant using their public key). **Workflow (new 1:1 conversation):** 1. Generate a conversation key using the SDK 2. Encrypt the key for both participants using their public keys 3. Call this endpoint to register the keys 4. Send messages using `POST /chat/conversations/{id}/messages` To rotate the keys of an existing conversation, repeat the same call with a newer conversation key version. **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scopes: `tweet.read`, `users.read`, `dm.write`需要连接3 scopes
Adds (initializes or rotates) the encryption keys for a Chat conversation. Call this before sending messages in a new 1:1 conversation, and again with a newer key version to rotate the conversation key. For 1:1 conversations, provide the recipient's user ID as the conversation_id. The server constructs the canonical conversation ID from the authenticated user and recipient. The request body must contain the conversation key version and participant keys (the conversation key encrypted for each participant using their public key). **Workflow (new 1:1 conversation):** 1. Generate a conversation key using the SDK 2. Encrypt the key for both participants using their public keys 3. Call this endpoint to register the keys 4. Send messages using `POST /chat/conversations/{id}/messages` To rotate the keys of an existing conversation, repeat the same call with a newer conversation key version. **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scopes: `tweet.read`, `users.read`, `dm.write`
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Add List memberTWITTER_ADD_LISTS_MEMBERAdds a User to a specific List by its ID.需要连接3 scopes
Adds a User to a specific List by its ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Add public keyTWITTER_ADD_USER_PUBLIC_KEYRegisters a user's public key for X Chat encryption.需要连接3 scopes
Registers a user's public key for X Chat encryption.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Append Media uploadTWITTER_APPEND_MEDIA_UPLOADAppends data to a Media upload request.需要连接1 scope
Appends data to a Media upload request.
认证
需要 Connected AccountScopes
media.writeTags
Create draft ArticleTWITTER_ARTICLE_CREATE_DRAFTCreates a new Article draft that can later be published.需要连接1 scope
Creates a new Article draft that can later be published.
认证
需要 Connected AccountScopes
tweet.writeTags
Publish ArticleTWITTER_ARTICLE_PUBLISHPublishes a draft Article, making it publicly visible.需要连接1 scope
Publishes a draft Article, making it publicly visible.
认证
需要 Connected AccountScopes
tweet.writeTags
Block DMsTWITTER_BLOCK_USERS_DMSBlocks direct messages to or from a specific User by their ID for the authenticated user.需要连接3 scopes
Blocks direct messages to or from a specific User by their ID for the authenticated user.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Download Chat MediaTWITTER_CHAT_MEDIA_DOWNLOADDownloads encrypted media bytes from an XChat conversation. The response body contains raw binary bytes. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.需要连接1 scope
Downloads encrypted media bytes from an XChat conversation. The response body contains raw binary bytes. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
认证
需要 Connected AccountScopes
media.writeTags
Append Chat Media UploadTWITTER_CHAT_MEDIA_UPLOAD_APPENDAppends media data to an XChat upload session.需要连接1 scope
Appends media data to an XChat upload session.
认证
需要 Connected AccountScopes
media.writeTags
Finalize Chat Media UploadTWITTER_CHAT_MEDIA_UPLOAD_FINALIZEFinalizes an XChat media upload session.需要连接1 scope
Finalizes an XChat media upload session.
认证
需要 Connected AccountScopes
media.writeTags
Initialize Chat Media UploadTWITTER_CHAT_MEDIA_UPLOAD_INITIALIZEInitializes an XChat media upload session.需要连接1 scope
Initializes an XChat media upload session.
认证
需要 Connected AccountScopes
media.writeTags
Create subscriptionTWITTER_CREATE_ACCOUNT_ACTIVITY_SUBSCRIPTIONCreates an Account Activity subscription for the user and the given webhook.需要连接4 scopes
Creates an Account Activity subscription for the user and the given webhook.
认证
需要 Connected AccountScopes
dm.readdm.writetweet.readusers.readTags
Create X activity subscriptionTWITTER_CREATE_ACTIVITY_SUBSCRIPTIONCreates a subscription for an X activity event需要连接3 scopes
Creates a subscription for an X activity event
认证
需要 Connected AccountScopes
dm.readlike.readtweet.readTags
Create Chat Group ConversationTWITTER_CREATE_CHAT_CONVERSATIONCreates a new encrypted Chat group conversation on behalf of the authenticated user.需要连接3 scopes
Creates a new encrypted Chat group conversation on behalf of the authenticated user.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Create a Community NoteTWITTER_CREATE_COMMUNITY_NOTESCreates a community note endpoint for LLM use case.需要连接1 scope
Creates a community note endpoint for LLM use case.
认证
需要 Connected AccountScopes
tweet.writeTags
Create Compliance JobTWITTER_CREATE_COMPLIANCE_JOBSCreates a new Compliance Job for the specified job type.需要连接
Creates a new Compliance Job for the specified job type.
认证
需要 Connected AccountTags
Create DM message by conversation IDTWITTER_CREATE_DIRECT_MESSAGES_BY_CONVERSATION_IDSends a new direct message to a specific conversation by its ID.需要连接3 scopes
Sends a new direct message to a specific conversation by its ID.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Create DM message by participant IDTWITTER_CREATE_DIRECT_MESSAGES_BY_PARTICIPANT_IDSends a new direct message to a specific participant by their ID.需要连接3 scopes
Sends a new direct message to a specific participant by their ID.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Create DM conversationTWITTER_CREATE_DIRECT_MESSAGES_CONVERSATIONInitiates a new direct message conversation with specified participants.需要连接3 scopes
Initiates a new direct message conversation with specified participants.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Create ListTWITTER_CREATE_LISTSCreates a new List for the authenticated user.需要连接4 scopes
Creates a new List for the authenticated user.
认证
需要 Connected AccountScopes
list.readlist.writetweet.readusers.readTags
Create Media metadataTWITTER_CREATE_MEDIA_METADATACreates metadata for a Media file.需要连接1 scope
Creates metadata for a Media file.
认证
需要 Connected AccountScopes
media.writeTags
Create Media subtitlesTWITTER_CREATE_MEDIA_SUBTITLESCreates subtitles for a specific Media file.需要连接1 scope
Creates subtitles for a specific Media file.
认证
需要 Connected AccountScopes
media.writeTags
Create or Edit PostTWITTER_CREATE_POSTSCreates a new Post for the authenticated user, or edits an existing Post when edit_options are provided. Supports paid partnership disclosure via the paid_partnership field.需要连接3 scopes
Creates a new Post for the authenticated user, or edits an existing Post when edit_options are provided. Supports paid partnership disclosure via the paid_partnership field.
认证
需要 Connected AccountScopes
tweet.readtweet.writeusers.readTags
Create BookmarkTWITTER_CREATE_USERS_BOOKMARKAdds a post to the authenticated user’s bookmarks.需要连接3 scopes
Adds a post to the authenticated user’s bookmarks.
认证
需要 Connected AccountScopes
bookmark.writetweet.readusers.readTags
Create replay job for webhookTWITTER_CREATE_WEBHOOK_REPLAY_JOBCreates a replay job to retrieve events from up to the past 24 hours for all events delivered or attempted to be delivered to the webhook.需要连接
Creates a replay job to retrieve events from up to the past 24 hours for all events delivered or attempted to be delivered to the webhook.
认证
需要 Connected AccountTags
Create webhookTWITTER_CREATE_WEBHOOKSCreates a new webhook configuration.需要连接
Creates a new webhook configuration.
认证
需要 Connected AccountTags
Create stream linkTWITTER_CREATE_WEBHOOKS_STREAM_LINKCreates a link to deliver FilteredStream events to the given webhook.需要连接
Creates a link to deliver FilteredStream events to the given webhook.
认证
需要 Connected AccountTags
Delete subscriptionTWITTER_DELETE_ACCOUNT_ACTIVITY_SUBSCRIPTIONDeletes an Account Activity subscription for the given webhook and user ID.需要连接
Deletes an Account Activity subscription for the given webhook and user ID.
认证
需要 Connected AccountTags
Deletes X activity subscriptionTWITTER_DELETE_ACTIVITY_SUBSCRIPTIONDeletes a subscription for an X activity event需要连接
Deletes a subscription for an X activity event
认证
需要 Connected AccountTags
Delete X activity subscriptions by IDsTWITTER_DELETE_ACTIVITY_SUBSCRIPTIONS_BY_IDSDeletes multiple subscriptions for X activity events by their IDs需要连接
Deletes multiple subscriptions for X activity events by their IDs
认证
需要 Connected AccountTags
Terminate all connectionsTWITTER_DELETE_ALL_CONNECTIONSTerminates all active streaming connections for the authenticated application.需要连接
Terminates all active streaming connections for the authenticated application.
认证
需要 Connected AccountTags
Delete a Community NoteTWITTER_DELETE_COMMUNITY_NOTESDeletes a community note.需要连接1 scope
Deletes a community note.
认证
需要 Connected AccountScopes
tweet.writeTags
Terminate connections by endpointTWITTER_DELETE_CONNECTIONS_BY_ENDPOINTTerminates all streaming connections for a specific endpoint ID for the authenticated application.需要连接
Terminates all streaming connections for a specific endpoint ID for the authenticated application.
认证
需要 Connected AccountTags
Terminate multiple connectionsTWITTER_DELETE_CONNECTIONS_BY_UUIDSTerminates multiple streaming connections by their UUIDs for the authenticated application.需要连接
Terminates multiple streaming connections by their UUIDs for the authenticated application.
认证
需要 Connected AccountTags
Delete DM eventTWITTER_DELETE_DIRECT_MESSAGES_EVENTSDeletes a specific direct message event by its ID, if owned by the authenticated user.需要连接2 scopes
Deletes a specific direct message event by its ID, if owned by the authenticated user.
认证
需要 Connected AccountScopes
dm.readdm.writeTags
Delete ListTWITTER_DELETE_LISTSDeletes a specific List owned by the authenticated user by its ID.需要连接3 scopes
Deletes a specific List owned by the authenticated user by its ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Delete Media subtitlesTWITTER_DELETE_MEDIA_SUBTITLESDeletes subtitles for a specific Media file.需要连接1 scope
Deletes subtitles for a specific Media file.
认证
需要 Connected AccountScopes
media.writeTags
Delete PostTWITTER_DELETE_POSTSDeletes a specific Post by its ID, if owned by the authenticated user.需要连接3 scopes
Deletes a specific Post by its ID, if owned by the authenticated user.
认证
需要 Connected AccountScopes
tweet.readtweet.writeusers.readTags
Delete BookmarkTWITTER_DELETE_USERS_BOOKMARKRemoves a Post from the authenticated user’s Bookmarks by its ID.需要连接3 scopes
Removes a Post from the authenticated user’s Bookmarks by its ID.
认证
需要 Connected AccountScopes
bookmark.writetweet.readusers.readTags
Delete webhookTWITTER_DELETE_WEBHOOKSDeletes an existing webhook configuration.需要连接
Deletes an existing webhook configuration.
认证
需要 Connected AccountTags
Delete stream linkTWITTER_DELETE_WEBHOOKS_STREAM_LINKDeletes a link from FilteredStream events to the given webhook.需要连接
Deletes a link from FilteredStream events to the given webhook.
认证
需要 Connected AccountTags
Download DM MediaTWITTER_DM_CONVERSATIONS_MEDIA_DOWNLOADDownloads media attached to a legacy Direct Message. The requesting user must be a participant in the conversation containing the specified DM event. The response body contains raw binary bytes.需要连接1 scope
Downloads media attached to a legacy Direct Message. The requesting user must be a participant in the conversation containing the specified DM event. The response body contains raw binary bytes.
认证
需要 Connected AccountScopes
dm.readTags
Evaluate a Community NoteTWITTER_EVALUATE_COMMUNITY_NOTESEndpoint to evaluate a community note.需要连接1 scope
Endpoint to evaluate a community note.
认证
需要 Connected AccountScopes
tweet.writeTags
Finalize Media uploadTWITTER_FINALIZE_MEDIA_UPLOADFinalizes a Media upload request.需要连接1 scope
Finalizes a Media upload request.
认证
需要 Connected AccountScopes
media.writeTags
Follow ListTWITTER_FOLLOW_LISTCauses the authenticated user to follow a specific List by its ID.需要连接3 scopes
Causes the authenticated user to follow a specific List by its ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Follow UserTWITTER_FOLLOW_USERCauses the authenticated user to follow a specific user by their ID.需要连接3 scopes
Causes the authenticated user to follow a specific user by their ID.
认证
需要 Connected AccountScopes
follows.writetweet.readusers.readTags
Get subscription countTWITTER_GET_ACCOUNT_ACTIVITY_SUBSCRIPTION_COUNTRetrieves a count of currently active Account Activity subscriptions.需要连接
Retrieves a count of currently active Account Activity subscriptions.
认证
需要 Connected AccountTags
Get subscriptionsTWITTER_GET_ACCOUNT_ACTIVITY_SUBSCRIPTIONSRetrieves a list of all active subscriptions for a given webhook.需要连接
Retrieves a list of all active subscriptions for a given webhook.
认证
需要 Connected AccountTags
Get X activity subscriptionsTWITTER_GET_ACTIVITY_SUBSCRIPTIONSGet a list of active subscriptions for XAA需要连接2 scopes
Get a list of active subscriptions for XAA
认证
需要 Connected AccountScopes
like.readtweet.readTags
Get Chat ConversationTWITTER_GET_CHAT_CONVERSATIONReturns metadata for a Chat conversation including type, muted status, and group details. Use chat_conversation.fields to select which fields are returned. Use expansions to hydrate member, admin, or participant user objects. Use user.fields to control which profile fields are returned for expanded users.需要连接3 scopes
Returns metadata for a Chat conversation including type, muted status, and group details. Use chat_conversation.fields to select which fields are returned. Use expansions to hydrate member, admin, or participant user objects. Use user.fields to control which profile fields are returned for expanded users.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get Chat Conversation EventsTWITTER_GET_CHAT_CONVERSATION_EVENTSRetrieves messages and key change events for a specific Chat conversation with pagination support. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.需要连接3 scopes
Retrieves messages and key change events for a specific Chat conversation with pagination support. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get Chat ConversationsTWITTER_GET_CHAT_CONVERSATIONSRetrieves a list of Chat conversations for the authenticated user's inbox.需要连接2 scopes
Retrieves a list of Chat conversations for the authenticated user's inbox.
认证
需要 Connected AccountScopes
dm.readusers.readTags
Get Community by IDTWITTER_GET_COMMUNITIES_BY_IDRetrieves details of a specific Community by its ID.需要连接3 scopes
Retrieves details of a specific Community by its ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get Compliance JobsTWITTER_GET_COMPLIANCE_JOBSRetrieves a list of Compliance Jobs filtered by job type and optional status.需要连接
Retrieves a list of Compliance Jobs filtered by job type and optional status.
认证
需要 Connected AccountTags
Get Compliance Job by IDTWITTER_GET_COMPLIANCE_JOBS_BY_IDRetrieves details of a specific Compliance Job by its ID.需要连接
Retrieves details of a specific Compliance Job by its ID.
认证
需要 Connected AccountTags
Get Connection HistoryTWITTER_GET_CONNECTION_HISTORYReturns active and historical streaming connections with disconnect reasons for the authenticated application.需要连接
Returns active and historical streaming connections with disconnect reasons for the authenticated application.
认证
需要 Connected AccountTags
Get DM eventsTWITTER_GET_DIRECT_MESSAGES_EVENTSRetrieves a list of recent direct message events across all conversations.需要连接3 scopes
Retrieves a list of recent direct message events across all conversations.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get DM events for a DM conversationTWITTER_GET_DIRECT_MESSAGES_EVENTS_BY_CONVERSATION_IDRetrieves direct message events for a specific conversation.需要连接3 scopes
Retrieves direct message events for a specific conversation.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get DM event by IDTWITTER_GET_DIRECT_MESSAGES_EVENTS_BY_IDRetrieves details of a specific direct message event by its ID.需要连接3 scopes
Retrieves details of a specific direct message event by its ID.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get DM events for a DM conversationTWITTER_GET_DIRECT_MESSAGES_EVENTS_BY_PARTICIPANT_IDRetrieves direct message events for a specific conversation.需要连接3 scopes
Retrieves direct message events for a specific conversation.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get historical Post insightsTWITTER_GET_INSIGHTS_HISTORICALRetrieves historical engagement metrics for specified Posts within a defined time range.需要连接1 scope
Retrieves historical engagement metrics for specified Posts within a defined time range.
认证
需要 Connected AccountScopes
tweet.readTags
Get 28-hour Post insightsTWITTER_GET_INSIGHTS28_HRRetrieves engagement metrics for specified Posts over the last 28 hours.需要连接1 scope
Retrieves engagement metrics for specified Posts over the last 28 hours.
认证
需要 Connected AccountScopes
tweet.readTags
Get List by IDTWITTER_GET_LISTS_BY_IDRetrieves details of a specific List by its ID.需要连接3 scopes
Retrieves details of a specific List by its ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get List followersTWITTER_GET_LISTS_FOLLOWERSRetrieves a list of Users who follow a specific List by its ID.需要连接3 scopes
Retrieves a list of Users who follow a specific List by its ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get List membersTWITTER_GET_LISTS_MEMBERSRetrieves a list of Users who are members of a specific List by its ID.需要连接3 scopes
Retrieves a list of Users who are members of a specific List by its ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get List PostsTWITTER_GET_LISTS_POSTSRetrieves a list of Posts associated with a specific List by its ID.需要连接3 scopes
Retrieves a list of Posts associated with a specific List by its ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get Media analyticsTWITTER_GET_MEDIA_ANALYTICSRetrieves analytics data for media.需要连接1 scope
Retrieves analytics data for media.
认证
需要 Connected AccountScopes
tweet.readTags
Get Media by media keyTWITTER_GET_MEDIA_BY_MEDIA_KEYRetrieves details of a specific Media file by its media key.需要连接1 scope
Retrieves details of a specific Media file by its media key.
认证
需要 Connected AccountScopes
tweet.readTags
Get Media by media keysTWITTER_GET_MEDIA_BY_MEDIA_KEYSRetrieves details of Media files by their media keys.需要连接1 scope
Retrieves details of Media files by their media keys.
认证
需要 Connected AccountScopes
tweet.readTags
Get Media upload statusTWITTER_GET_MEDIA_UPLOAD_STATUSRetrieves the status of a Media upload by its ID.需要连接1 scope
Retrieves the status of a Media upload by its ID.
认证
需要 Connected AccountScopes
media.writeTags
Get news stories by IDTWITTER_GET_NEWSRetrieves news story by its ID.需要连接2 scopes
Retrieves news story by its ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get OpenAPI Spec.TWITTER_GET_OPEN_API_SPECRetrieves the full OpenAPI Specification in JSON format. (See https://github.com/OAI/OpenAPI-Specification/blob/master/README.md)需要连接
Retrieves the full OpenAPI Specification in JSON format. (See https://github.com/OAI/OpenAPI-Specification/blob/master/README.md)
认证
需要 Connected AccountTags
Get Post analyticsTWITTER_GET_POSTS_ANALYTICSRetrieves analytics data for specified Posts within a defined time range.需要连接2 scopes
Retrieves analytics data for specified Posts within a defined time range.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get Post by IDTWITTER_GET_POSTS_BY_IDRetrieves details of a specific Post by its ID.需要连接2 scopes
Retrieves details of a specific Post by its ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get Posts by IDsTWITTER_GET_POSTS_BY_IDSRetrieves details of multiple Posts by their IDs.需要连接2 scopes
Retrieves details of multiple Posts by their IDs.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get count of all PostsTWITTER_GET_POSTS_COUNTS_ALLRetrieves the count of Posts matching a search query from the full archive.需要连接
Retrieves the count of Posts matching a search query from the full archive.
认证
需要 Connected AccountTags
Get count of recent PostsTWITTER_GET_POSTS_COUNTS_RECENTRetrieves the count of Posts from the last 7 days matching a search query.需要连接
Retrieves the count of Posts from the last 7 days matching a search query.
认证
需要 Connected AccountTags
Get Liking UsersTWITTER_GET_POSTS_LIKING_USERSRetrieves a list of Users who liked a specific Post by its ID.需要连接3 scopes
Retrieves a list of Users who liked a specific Post by its ID.
认证
需要 Connected AccountScopes
like.readtweet.readusers.readTags
Get Quoted PostsTWITTER_GET_POSTS_QUOTED_POSTSRetrieves a list of Posts that quote a specific Post by its ID.需要连接2 scopes
Retrieves a list of Posts that quote a specific Post by its ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get Reposted byTWITTER_GET_POSTS_REPOSTED_BYRetrieves a list of Users who reposted a specific Post by its ID.需要连接2 scopes
Retrieves a list of Users who reposted a specific Post by its ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get RepostsTWITTER_GET_POSTS_REPOSTSRetrieves a list of Posts that repost a specific Post by its ID.需要连接2 scopes
Retrieves a list of Posts that repost a specific Post by its ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get stream rule countsTWITTER_GET_RULE_COUNTSRetrieves the count of rules in the active rule set for the filtered stream.需要连接
Retrieves the count of rules in the active rule set for the filtered stream.
认证
需要 Connected AccountTags
Get stream rulesTWITTER_GET_RULESRetrieves the active rule set or a subset of rules for the filtered stream.需要连接
Retrieves the active rule set or a subset of rules for the filtered stream.
认证
需要 Connected AccountTags
Get Space ticket buyersTWITTER_GET_SPACES_BUYERSRetrieves a list of Users who purchased tickets to a specific Space by its ID.需要连接3 scopes
Retrieves a list of Users who purchased tickets to a specific Space by its ID.
认证
需要 Connected AccountScopes
space.readtweet.readusers.readTags
Get Spaces by creator IDsTWITTER_GET_SPACES_BY_CREATOR_IDSRetrieves details of Spaces created by specified User IDs.需要连接3 scopes
Retrieves details of Spaces created by specified User IDs.
认证
需要 Connected AccountScopes
space.readtweet.readusers.readTags
Get space by IDTWITTER_GET_SPACES_BY_IDRetrieves details of a specific space by its ID.需要连接3 scopes
Retrieves details of a specific space by its ID.
认证
需要 Connected AccountScopes
space.readtweet.readusers.readTags
Get Spaces by IDsTWITTER_GET_SPACES_BY_IDSRetrieves details of multiple Spaces by their IDs.需要连接3 scopes
Retrieves details of multiple Spaces by their IDs.
认证
需要 Connected AccountScopes
space.readtweet.readusers.readTags
Get Space PostsTWITTER_GET_SPACES_POSTSRetrieves a list of Posts shared in a specific Space by its ID.需要连接3 scopes
Retrieves a list of Posts shared in a specific Space by its ID.
认证
需要 Connected AccountScopes
space.readtweet.readusers.readTags
Get Trends by WOEIDTWITTER_GET_TRENDS_BY_WOEIDRetrieves trending topics for a specific location identified by its WOEID.需要连接
Retrieves trending topics for a specific location identified by its WOEID.
认证
需要 Connected AccountTags
Get personalized TrendsTWITTER_GET_TRENDS_PERSONALIZED_TRENDSRetrieves personalized trending topics for the authenticated user.需要连接2 scopes
Retrieves personalized trending topics for the authenticated user.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get usageTWITTER_GET_USAGERetrieves usage statistics for Posts over a specified number of days.需要连接
Retrieves usage statistics for Posts over a specified number of days.
认证
需要 Connected AccountTags
Get affiliatesTWITTER_GET_USERS_AFFILIATESRetrieves a list of Users who are affiliated with a specific organization User by their ID.需要连接2 scopes
Retrieves a list of Users who are affiliated with a specific organization User by their ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get blockingTWITTER_GET_USERS_BLOCKINGRetrieves a list of Users blocked by the specified User ID.需要连接3 scopes
Retrieves a list of Users blocked by the specified User ID.
认证
需要 Connected AccountScopes
block.readtweet.readusers.readTags
Get Bookmark foldersTWITTER_GET_USERS_BOOKMARK_FOLDERSRetrieves a list of Bookmark folders created by the authenticated user.需要连接2 scopes
Retrieves a list of Bookmark folders created by the authenticated user.
认证
需要 Connected AccountScopes
bookmark.readusers.readTags
Get BookmarksTWITTER_GET_USERS_BOOKMARKSRetrieves a list of Posts bookmarked by the authenticated user.需要连接3 scopes
Retrieves a list of Posts bookmarked by the authenticated user.
认证
需要 Connected AccountScopes
bookmark.readtweet.readusers.readTags
Get Bookmarks by folder IDTWITTER_GET_USERS_BOOKMARKS_BY_FOLDER_IDRetrieves Posts in a specific Bookmark folder by its ID for the authenticated user.需要连接3 scopes
Retrieves Posts in a specific Bookmark folder by its ID for the authenticated user.
认证
需要 Connected AccountScopes
bookmark.readtweet.readusers.readTags
Get User by IDTWITTER_GET_USERS_BY_IDRetrieves details of a specific User by their ID.需要连接2 scopes
Retrieves details of a specific User by their ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get Users by IDsTWITTER_GET_USERS_BY_IDSRetrieves details of multiple Users by their IDs.需要连接2 scopes
Retrieves details of multiple Users by their IDs.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get User by usernameTWITTER_GET_USERS_BY_USERNAMERetrieves details of a specific User by their username.需要连接2 scopes
Retrieves details of a specific User by their username.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get Users by usernamesTWITTER_GET_USERS_BY_USERNAMESRetrieves details of multiple Users by their usernames.需要连接2 scopes
Retrieves details of multiple Users by their usernames.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get followed ListsTWITTER_GET_USERS_FOLLOWED_LISTSRetrieves a list of Lists followed by a specific User by their ID.需要连接3 scopes
Retrieves a list of Lists followed by a specific User by their ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get followersTWITTER_GET_USERS_FOLLOWERSRetrieves a list of Users who follow a specific User by their ID.需要连接3 scopes
Retrieves a list of Users who follow a specific User by their ID.
认证
需要 Connected AccountScopes
follows.readtweet.readusers.readTags
Get followingTWITTER_GET_USERS_FOLLOWINGRetrieves a list of Users followed by a specific User by their ID.需要连接3 scopes
Retrieves a list of Users followed by a specific User by their ID.
认证
需要 Connected AccountScopes
follows.readtweet.readusers.readTags
Get liked PostsTWITTER_GET_USERS_LIKED_POSTSRetrieves a list of Posts liked by a specific User by their ID.需要连接3 scopes
Retrieves a list of Posts liked by a specific User by their ID.
认证
需要 Connected AccountScopes
like.readtweet.readusers.readTags
Get List membershipsTWITTER_GET_USERS_LIST_MEMBERSHIPSRetrieves a list of Lists that a specific User is a member of by their ID.需要连接3 scopes
Retrieves a list of Lists that a specific User is a member of by their ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get my UserTWITTER_GET_USERS_MERetrieves details of the authenticated user.需要连接2 scopes
Retrieves details of the authenticated user.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get mentionsTWITTER_GET_USERS_MENTIONSRetrieves a list of Posts that mention a specific User by their ID.需要连接2 scopes
Retrieves a list of Posts that mention a specific User by their ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get mutingTWITTER_GET_USERS_MUTINGRetrieves a list of Users muted by the authenticated user.需要连接3 scopes
Retrieves a list of Users muted by the authenticated user.
认证
需要 Connected AccountScopes
mute.readtweet.readusers.readTags
Get owned ListsTWITTER_GET_USERS_OWNED_LISTSRetrieves a list of Lists owned by a specific User by their ID.需要连接3 scopes
Retrieves a list of Lists owned by a specific User by their ID.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get pinned ListsTWITTER_GET_USERS_PINNED_LISTSRetrieves a list of Lists pinned by the authenticated user.需要连接3 scopes
Retrieves a list of Lists pinned by the authenticated user.
认证
需要 Connected AccountScopes
list.readtweet.readusers.readTags
Get PostsTWITTER_GET_USERS_POSTSRetrieves a list of posts authored by a specific User by their ID.需要连接2 scopes
Retrieves a list of posts authored by a specific User by their ID.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get user public keysTWITTER_GET_USERS_PUBLIC_KEYReturns the public keys and Juicebox configuration for the specified user.需要连接3 scopes
Returns the public keys and Juicebox configuration for the specified user.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get public keys for multiple usersTWITTER_GET_USERS_PUBLIC_KEYSReturns the public keys and Juicebox configuration for the specified users.需要连接3 scopes
Returns the public keys and Juicebox configuration for the specified users.
认证
需要 Connected AccountScopes
dm.readtweet.readusers.readTags
Get Reposts of meTWITTER_GET_USERS_REPOSTS_OF_MERetrieves a list of Posts that repost content from the authenticated user.需要连接2 scopes
Retrieves a list of Posts that repost content from the authenticated user.
认证
需要 Connected AccountScopes
timeline.readtweet.readTags
Get TimelineTWITTER_GET_USERS_TIMELINERetrieves a reverse chronological list of Posts in the authenticated User’s Timeline.需要连接2 scopes
Retrieves a reverse chronological list of Posts in the authenticated User’s Timeline.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Get webhookTWITTER_GET_WEBHOOKSGet a list of webhook configs associated with a client app.需要连接
Get a list of webhook configs associated with a client app.
认证
需要 Connected AccountTags
Get stream linksTWITTER_GET_WEBHOOKS_STREAM_LINKSGet a list of webhook links associated with a filtered stream ruleset.需要连接
Get a list of webhook links associated with a filtered stream ruleset.
认证
需要 Connected AccountTags
Hide replyTWITTER_HIDE_POSTS_REPLYHides or unhides a reply to a conversation owned by the authenticated user.需要连接3 scopes
Hides or unhides a reply to a conversation owned by the authenticated user.
认证
需要 Connected AccountScopes
tweet.moderate.writetweet.readusers.readTags
Initialize Chat GroupTWITTER_INITIALIZE_CHAT_GROUPInitializes a new XChat group conversation and returns a unique conversation ID. This endpoint is the first step in creating a group chat. The returned conversation_id should be used in subsequent calls to POST /chat/conversations/group to fully create and configure the group with members, admins, encryption keys, and other settings. **Workflow:** 1. Call this endpoint to get a `conversation_id` 2. Use that `conversation_id` when calling `POST /chat/conversations/group` to create the group **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scope: `dm.write`需要连接1 scope
Initializes a new XChat group conversation and returns a unique conversation ID. This endpoint is the first step in creating a group chat. The returned conversation_id should be used in subsequent calls to POST /chat/conversations/group to fully create and configure the group with members, admins, encryption keys, and other settings. **Workflow:** 1. Call this endpoint to get a `conversation_id` 2. Use that `conversation_id` when calling `POST /chat/conversations/group` to create the group **Authentication:** - Requires OAuth 1.0a User Context or OAuth 2.0 User Context - Required scope: `dm.write`
认证
需要 Connected AccountScopes
dm.writeTags
Initialize media uploadTWITTER_INITIALIZE_MEDIA_UPLOADInitializes a media upload.需要连接1 scope
Initializes a media upload.
认证
需要 Connected AccountScopes
media.writeTags
Like PostTWITTER_LIKE_POSTCauses the authenticated user to Like a specific Post by its ID.需要连接3 scopes
Causes the authenticated user to Like a specific Post by its ID.
认证
需要 Connected AccountScopes
like.writetweet.readusers.readTags
Mark Conversation as ReadTWITTER_MARK_CHAT_CONVERSATION_READMarks a specific Chat conversation as read on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.需要连接3 scopes
Marks a specific Chat conversation as read on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Upload mediaTWITTER_MEDIA_UPLOADUploads a media file for use in posts or other content.需要连接1 scope
Uploads a media file for use in posts or other content.
认证
需要 Connected AccountScopes
media.writeTags
Mute UserTWITTER_MUTE_USERCauses the authenticated user to mute a specific User by their ID.需要连接3 scopes
Causes the authenticated user to mute a specific User by their ID.
认证
需要 Connected AccountScopes
mute.writetweet.readusers.readTags
Pin ListTWITTER_PIN_LISTCauses the authenticated user to pin a specific List by its ID.需要连接3 scopes
Causes the authenticated user to pin a specific List by its ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Remove List memberTWITTER_REMOVE_LISTS_MEMBER_BY_USER_IDRemoves a User from a specific List by its ID and the User’s ID.需要连接3 scopes
Removes a User from a specific List by its ID and the User’s ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Repost PostTWITTER_REPOST_POSTCauses the authenticated user to repost a specific Post by its ID.需要连接3 scopes
Causes the authenticated user to repost a specific Post by its ID.
认证
需要 Connected AccountScopes
tweet.readtweet.writeusers.readTags
Search CommunitiesTWITTER_SEARCH_COMMUNITIESRetrieves a list of Communities matching the specified search query.需要连接2 scopes
Retrieves a list of Communities matching the specified search query.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Search for Community Notes WrittenTWITTER_SEARCH_COMMUNITY_NOTES_WRITTENReturns all the community notes written by the user.需要连接1 scope
Returns all the community notes written by the user.
认证
需要 Connected AccountScopes
tweet.readTags
Search for Posts Eligible for Community NotesTWITTER_SEARCH_ELIGIBLE_POSTSReturns all the posts that are eligible for community notes.需要连接1 scope
Returns all the posts that are eligible for community notes.
认证
需要 Connected AccountScopes
tweet.readTags
Search NewsTWITTER_SEARCH_NEWSRetrieves a list of News stories matching the specified search query.需要连接2 scopes
Retrieves a list of News stories matching the specified search query.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Search all PostsTWITTER_SEARCH_POSTS_ALLRetrieves Posts from the full archive matching a search query.需要连接
Retrieves Posts from the full archive matching a search query.
认证
需要 Connected AccountTags
Search recent PostsTWITTER_SEARCH_POSTS_RECENTRetrieves Posts from the last 7 days matching a search query.需要连接2 scopes
Retrieves Posts from the last 7 days matching a search query.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Search SpacesTWITTER_SEARCH_SPACESRetrieves a list of Spaces matching the specified search query.需要连接3 scopes
Retrieves a list of Spaces matching the specified search query.
认证
需要 Connected AccountScopes
space.readtweet.readusers.readTags
Search UsersTWITTER_SEARCH_USERSRetrieves a list of Users matching a search query.需要连接2 scopes
Retrieves a list of Users matching a search query.
认证
需要 Connected AccountScopes
tweet.readusers.readTags
Send Chat MessageTWITTER_SEND_CHAT_MESSAGESends an encrypted message to a specific Chat conversation. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.需要连接3 scopes
Sends an encrypted message to a specific Chat conversation. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Send Typing IndicatorTWITTER_SEND_CHAT_TYPING_INDICATORSends a typing indicator to a specific Chat conversation on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.需要连接3 scopes
Sends a typing indicator to a specific Chat conversation on behalf of the authenticated user. For 1:1 conversations, provide the recipient's user ID; the server constructs the canonical conversation ID from the authenticated user and recipient.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Stream Post labelsTWITTER_STREAM_LABELS_COMPLIANCEStreams all labeling events applied to Posts.需要连接
Streams all labeling events applied to Posts.
认证
需要 Connected AccountTags
Stream Likes compliance dataTWITTER_STREAM_LIKES_COMPLIANCEStreams all compliance data related to Likes for Users.需要连接
Streams all compliance data related to Likes for Users.
认证
需要 Connected AccountTags
Stream all LikesTWITTER_STREAM_LIKES_FIREHOSEStreams all public Likes in real-time.需要连接
Streams all public Likes in real-time.
认证
需要 Connected AccountTags
Stream sampled LikesTWITTER_STREAM_LIKES_SAMPLE10Streams a 10% sample of public Likes in real-time.需要连接
Streams a 10% sample of public Likes in real-time.
认证
需要 Connected AccountTags
Stream filtered PostsTWITTER_STREAM_POSTSStreams Posts in real-time matching the active rule set.需要连接
Streams Posts in real-time matching the active rule set.
认证
需要 Connected AccountTags
Stream Posts compliance dataTWITTER_STREAM_POSTS_COMPLIANCEStreams all compliance data related to Posts.需要连接
Streams all compliance data related to Posts.
认证
需要 Connected AccountTags
Stream all PostsTWITTER_STREAM_POSTS_FIREHOSEStreams all public Posts in real-time.需要连接
Streams all public Posts in real-time.
认证
需要 Connected AccountTags
Stream English PostsTWITTER_STREAM_POSTS_FIREHOSE_ENStreams all public English-language Posts in real-time.需要连接
Streams all public English-language Posts in real-time.
认证
需要 Connected AccountTags
Stream Japanese PostsTWITTER_STREAM_POSTS_FIREHOSE_JAStreams all public Japanese-language Posts in real-time.需要连接
Streams all public Japanese-language Posts in real-time.
认证
需要 Connected AccountTags
Stream Korean PostsTWITTER_STREAM_POSTS_FIREHOSE_KOStreams all public Korean-language Posts in real-time.需要连接
Streams all public Korean-language Posts in real-time.
认证
需要 Connected AccountTags
Stream Portuguese PostsTWITTER_STREAM_POSTS_FIREHOSE_PTStreams all public Portuguese-language Posts in real-time.需要连接
Streams all public Portuguese-language Posts in real-time.
认证
需要 Connected AccountTags
Stream sampled PostsTWITTER_STREAM_POSTS_SAMPLEStreams a 1% sample of public Posts in real-time.需要连接
Streams a 1% sample of public Posts in real-time.
认证
需要 Connected AccountTags
Stream 10% sampled PostsTWITTER_STREAM_POSTS_SAMPLE10Streams a 10% sample of public Posts in real-time.需要连接
Streams a 10% sample of public Posts in real-time.
认证
需要 Connected AccountTags
Stream Users compliance dataTWITTER_STREAM_USERS_COMPLIANCEStreams all compliance data related to Users.需要连接
Streams all compliance data related to Users.
认证
需要 Connected AccountTags
Unblock DMsTWITTER_UNBLOCK_USERS_DMSUnblocks direct messages to or from a specific User by their ID for the authenticated user.需要连接3 scopes
Unblocks direct messages to or from a specific User by their ID for the authenticated user.
认证
需要 Connected AccountScopes
dm.writetweet.readusers.readTags
Unfollow ListTWITTER_UNFOLLOW_LISTCauses the authenticated user to unfollow a specific List by its ID.需要连接3 scopes
Causes the authenticated user to unfollow a specific List by its ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Unfollow UserTWITTER_UNFOLLOW_USERCauses the authenticated user to unfollow a specific user by their ID.需要连接3 scopes
Causes the authenticated user to unfollow a specific user by their ID.
认证
需要 Connected AccountScopes
follows.writetweet.readusers.readTags
Unlike PostTWITTER_UNLIKE_POSTCauses the authenticated user to Unlike a specific Post by its ID.需要连接3 scopes
Causes the authenticated user to Unlike a specific Post by its ID.
认证
需要 Connected AccountScopes
like.writetweet.readusers.readTags
Unmute UserTWITTER_UNMUTE_USERCauses the authenticated user to unmute a specific user by their ID.需要连接3 scopes
Causes the authenticated user to unmute a specific user by their ID.
认证
需要 Connected AccountScopes
mute.writetweet.readusers.readTags
Unpin ListTWITTER_UNPIN_LISTCauses the authenticated user to unpin a specific List by its ID.需要连接3 scopes
Causes the authenticated user to unpin a specific List by its ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Unrepost PostTWITTER_UNREPOST_POSTCauses the authenticated user to unrepost a specific Post by its ID.需要连接3 scopes
Causes the authenticated user to unrepost a specific Post by its ID.
认证
需要 Connected AccountScopes
tweet.readtweet.writeusers.readTags
Update X activity subscriptionTWITTER_UPDATE_ACTIVITY_SUBSCRIPTIONUpdates a subscription for an X activity event需要连接
Updates a subscription for an X activity event
认证
需要 Connected AccountTags
Update ListTWITTER_UPDATE_LISTSUpdates the details of a specific List owned by the authenticated user by its ID.需要连接3 scopes
Updates the details of a specific List owned by the authenticated user by its ID.
认证
需要 Connected AccountScopes
list.writetweet.readusers.readTags
Update stream rulesTWITTER_UPDATE_RULESAdds or deletes rules from the active rule set for the filtered stream.需要连接
Adds or deletes rules from the active rule set for the filtered stream.
认证
需要 Connected AccountTags
Validate subscriptionTWITTER_VALIDATE_ACCOUNT_ACTIVITY_SUBSCRIPTIONChecks a user’s Account Activity subscription for a given webhook.需要连接4 scopes
Checks a user’s Account Activity subscription for a given webhook.
认证
需要 Connected AccountScopes
dm.readdm.writetweet.readusers.readTags
Validate webhookTWITTER_VALIDATE_WEBHOOKSTriggers a CRC check for a given webhook.需要连接
Triggers a CRC check for a given webhook.
认证
需要 Connected AccountTags